module.exports = {
	publicPath: process.env.VUE_APP_PUBLIC_PATH,
	assetsDir: './assets',
	devServer: {
		port: process.env.VUE_APP_DEV_SERVER_PORT,
	},
	chainWebpack: (config) => {
		config.resolve.symlinks(false)
	},
	runtimeCompiler: true,
	configureWebpack: {
		optimization: {
			splitChunks: {
				chunks: 'all',
				maxInitialRequests: Infinity,
				minSize: 0,
				cacheGroups: {
					vendor: {
						test: /[\\/]node_modules[\\/]/,
						name(module) {
							let packageName = module.context.match(/[\\/]node_modules[\\/](.*?)([\\/]|$)/);
							if (packageName[1] === '@zeedhi') {
								packageName = module.context.match(/[\\/]node_modules[\\/](.*?)[\\/](.*?)([\\/]|$)/);
								return `npm.${packageName[1].replace('@', '')}.${packageName[2]}`;
							} else {
								return `npm.${packageName[1].replace('@', '')}`;
							}
						}
					},
					styles: {
						test: /\.css$/,
						name: 'styles',
						chunks: 'all',
						enforce: true
					}
				}
			}
		}
	}
}
